﻿@model RealEstate.Models.UserModel

<div class="row _user_salary">

    <div class="col-xl-12 ">
        <div class="card bg-white text-black mb-1">
            @*<div class="card-header text-left">
                    Salary Detail
                </div>*@
            <div class="card-body text-center">

                <div class="row" style="margin-top:1em;">
                    <div class="col-sm-6">
                        <div class="form-group">
                            @Html.LabelFor(model => model.Monthly_Basic_Salary, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                            <div class="col-md-7 float-right">
                                @Html.EditorFor(model => model.Monthly_Basic_Salary, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.Monthly_Basic_Salary, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            @Html.LabelFor(model => model.Monthly_Special_Allowance, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                            <div class="col-md-7 float-right">

                                @Html.EditorFor(model => model.Monthly_Special_Allowance, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.Monthly_Special_Allowance, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row" style="margin-top:1em;">
                    <div class="col-sm-6">
                        <div class="form-group">
                            @Html.LabelFor(model => model.Monthly_PF_Amount, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                            <div class="col-md-7 float-right">

                                @Html.EditorFor(model => model.Monthly_PF_Amount, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.Monthly_PF_Amount, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-6">
                        <div class="form-group">
                            @Html.LabelFor(model => model.Monthly_ESIC, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                            <div class="col-md-7 float-right">
                                @Html.EditorFor(model => model.Monthly_ESIC, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.Monthly_ESIC, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>



                </div>

                <div class="row" style="margin-top:1em;">

                    <div class="col-sm-6">
                        <div class="form-group">
                            @Html.LabelFor(model => model.Monthly_Salary, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                            <div class="col-md-7 float-right">
                                @Html.EditorFor(model => model.Monthly_Salary, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                                @Html.ValidationMessageFor(model => model.Monthly_Salary, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>


                    <div class="col-sm-6">
                        <div class="form-group">
                            @Html.LabelFor(model => model.Annual_CTC, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                            <div class="col-md-7 float-right">
                                @Html.EditorFor(model => model.Annual_CTC, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })
                                @Html.ValidationMessageFor(model => model.Annual_CTC, "", new { @class = "text-danger" })
                            </div>
                        </div>
                    </div>



                </div>
            </div>
        </div>
    </div>
</div>




<div class="card mb-4 employee-loan">
    @*<div class="card-header">DataTable Example</div>*@
    <div class="card-body p-0">
        <div class="datatable table-responsive">
            <div id="dataTable_wrapper" class="dataTables_wrapper dt-bootstrap4">
                <table id="example" class="table table-striped example_dt">
                    <thead>
                        <tr>
                            <th>Month</th>
                            <th>Mode</th>
                            <th>Loan</th>
                            <th>Calculated</th>
                            <th>Paid</th>
                            <th>Remaining</th>
                            <th>Paid On</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in Model.User.UserSalaries.OrderBy(x => x.Id))
                        {
                            var color = item.Payment_Mode == "NA" ? "#c5f3c2" : "";
                            <tr style="background:@color">
                                <td>@item.Month_Year </td>
                                <td>@item.Payment_Mode </td>
                                <td>@item.Loan </td>
                                <td>@item.Calculated_Salary</td>
                                <td>@item.Paid</td>
                                <td>@item.Remaining_Amount</td>
                                <td>@item.Paid_On</td>
                            </tr>
                        }
                    </tbody>

                </table>
            </div>
        </div>
    </div>
</div>








@section Scripts
{

}



